import { Plugin } from 'rollup';
import { languagesArr } from './languages';
import { featuresArr } from './features';
declare type LanguageConfig = typeof languagesArr[number];
declare type LanguagesById = {
    [K in LanguageConfig['label']]: LanguageConfig & {
        label: K;
    };
};
declare type LanguageKey = keyof LanguagesById;
declare type FeatureConfig = typeof featuresArr[number];
declare type FeaturesById = {
    [K in FeatureConfig['label']]: FeatureConfig & {
        label: K;
    };
};
declare type FeatureKey = keyof FeaturesById;
export default monaco;
export interface MonacoPluginOptions {
    languages?: LanguageKey[];
    features?: FeatureKey[];
    /**
     * Affects how web worker are imported
     * @default rollup.outputOptions.format is esm or es
     */
    esm?: boolean;
    /**
     * Path prefixes worker url
     * @default rollup.outputOptions.dir with a leading slash
     */
    pathPrefix?: string;
}
declare function monaco(options?: MonacoPluginOptions): Plugin;
